require 'socket.so'
socket = UDPSocket.new
socket.bind("127.0.0.1", 3157)

def translate(f)
	return (f / 255) * 180
end

timer_id = UI.start_timer(0.01, true) {
	begin
    	message, sender = socket.recvfrom_nonblock(100)
    	new_message = true
	rescue Errno::EWOULDBLOCK
		new_message = false
	rescue Errno::ECONNRESET
		new_message = false
		UI.stop_timer @timer_id
		break
	end

	if new_message == true
    	message1, message2, message3 = message.split(";")
    	$Axis1a = translate message1.to_f
    	$Axis2a = translate message2.to_f
		$Axis3a = 1.0 - message3.to_f / 256.0
		print "#{$Axis1a} , #{$Axis2a} , #{$Axis3a} \n"
	end
}
